#!../../bin/solaris-sparc/Keithley175Test

< envPaths
epicsEnvSet("P","$(P=lab:)")

cd ${TOP}

## Register all support components
dbLoadDatabase("dbd/Keithley175Test.dbd",0,0)
Keithley175Test_registerRecordDeviceDriver(pdbbase)

# Configure hardware
# HP/Agilent E2050 GPIB/LAN adapter
vxi11Configure("L0","164.54.48.11",0,0.0,"hpib",0,0)

## Load record instances
dbLoadRecords("db/devKeithley175.db","P=$(P),R=DMM1:,L=0,A=24")
dbLoadRecords("db/devKeithley175.db","P=$(P),R=DMM2:,L=0,A=25")
dbLoadRecords("db/asynRecord.db","P=$(P),R=asynRecord,PORT=L0,ADDR=24,OMAX=0,IMAX=200")

#asynSetTraceMask("L0",24,0x9)
#asynSetTraceIOMask("L0",24,0x2)
#asynSetTraceMask("L0",25,0x9)
#asynSetTraceIOMask("L0",25,0x2)

cd ${TOP}/iocBoot/${IOC}
iocInit()
